From 6732a2821cf7eeffa284253f80fd757e1ac2df4f Mon Sep 17 00:00:00 2001
From: Jan Kiszka <jan.kiszka@siemens.com>
Date: Sun, 2 Jun 2019 11:58:20 +0200
Subject: [PATCH] ivshmem-net: Switch to netdev_xmit_more helper

The skb field has been removed by 4f296edeb9d4.

Signed-off-by: Jan Kiszka <jan.kiszka@siemens.com>
(cherry picked from commit 80c301552ec0b500dd46a2b4f0c9fef78a610ee6)
---
 drivers/net/ivshmem-net.c | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

--- a/drivers/net/ivshmem-net.c
+++ b/drivers/net/ivshmem-net.c
@@ -294,7 +294,8 @@ static u32 ivshm_net_tx_advance(struct i
 	return p;
 }
 
-static int ivshm_net_tx_frame(struct net_device *ndev, struct sk_buff *skb)
+static int ivshm_net_tx_frame(struct net_device *ndev, struct sk_buff *skb,
+			      bool xmit_more)
 {
 	struct ivshm_net *in = netdev_priv(ndev);
 	struct ivshm_net_queue *tx = &in->tx;
@@ -327,7 +328,7 @@ static int ivshm_net_tx_frame(struct net
 	vr->avail->ring[avail] = desc_idx;
 	tx->num_added++;
 
-	if (!skb->xmit_more) {
+	if (!xmit_more) {
 		virt_store_release(&vr->avail->idx, tx->last_avail_idx);
 		ivshm_net_notify_tx(in, tx->num_added);
 		tx->num_added = 0;
@@ -509,17 +510,18 @@ static int ivshm_net_poll(struct napi_st
 static netdev_tx_t ivshm_net_xmit(struct sk_buff *skb, struct net_device *ndev)
 {
 	struct ivshm_net *in = netdev_priv(ndev);
+	bool xmit_more = netdev_xmit_more();
 
 	ivshm_net_tx_clean(ndev);
 
 	if (!ivshm_net_tx_ok(in, ndev->mtu)) {
 		ivshm_net_enable_tx_irq(in);
 		netif_stop_queue(ndev);
-		skb->xmit_more = 0;
+		xmit_more = false;
 		in->stats.tx_pause++;
 	}
 
-	ivshm_net_tx_frame(ndev, skb);
+	ivshm_net_tx_frame(ndev, skb, xmit_more);
 
 	in->stats.tx_packets++;
 	ndev->stats.tx_packets++;
